Skip to content
Zawqi
Esc
navigateopen⌘Jpreview

GET /api/v1/sites/{slug}

GET/api/v1/sites/{slug}
Path parameters
slugstringrequired
Responses
200Success
idstringrequired
slugstringrequired
urlstringrequired
siteNamestringrequired
industrystring | anyrequired
Show properties
Any of:
string
string
any
any
publishedbooleanrequired
fullPageScreenshotUrlstring | anyrequired
Show properties
Any of:
string
string
any
any
renderedHtmlUrlstring | anyrequired
Show properties
Any of:
string
string
any
any
homepageMarkdownUrlstring | anyrequired
Show properties
Any of:
string
string
any
any
logoUrlstring | anyrequired
Show properties
Any of:
string
string
any
any
logoMetadataanyrequired
Show properties
Any of:
any
any
any
any
openGraphUrlstring | anyrequired
Show properties
Any of:
string
string
any
any
openGraphMetadataanyrequired
Show properties
Any of:
any
any
any
any
pricingMarkdownUrlstring | anyrequired
Show properties
Any of:
string
string
any
any
createdAtstringrequired
updatedAtstringrequired
401Unauthorized
_tagstringrequired
Allowed:Unauthorized
404NotFound
_tagstringrequired
Allowed:NotFound
Request
curl -X GET "https://zawqi.app/api/v1/api/v1/sites/string"
Response
{
  "id": "string",
  "slug": "string",
  "url": "string",
  "siteName": "string",
  "industry": "ai-ml",
  "published": true,
  "fullPageScreenshotUrl": "string",
  "renderedHtmlUrl": "string",
  "homepageMarkdownUrl": "string",
  "logoUrl": "string",
  "logoMetadata": "string",
  "openGraphUrl": "string",
  "openGraphMetadata": "string",
  "pricingMarkdownUrl": "string",
  "createdAt": "string",
  "updatedAt": "string"
}